# Quartz v4

## Set up

Set up .env:
```
SOURCE_DIR=<path>
DEST_DIR=<path>
```

Run on local:

```
make publish local=True
```

Run on server:

```
make publish
```

## How this works

- From local obsidian, sync to remote obsidian
- In local I read from local vault and copy to content all that have tag publish=True
- In remote I read from remove vault and copy to content all that have tag publish=True

## Improvements
- scripts/publish.sh:
  - [ ] Skip copying files that already exist
  - [ ] Resize image to 60% for faster load
- [x] add restart/publish to make
---

> “[One] who works with the door open gets all kinds of interruptions, but [they] also occasionally gets clues as to what the world is and what might be important.” — Richard Hamming

Quartz is a set of tools that helps you publish your [digital garden](https://jzhao.xyz/posts/networked-thought) and notes as a website for free.
Quartz v4 features a from-the-ground rewrite focusing on end-user extensibility and ease-of-use.

**If you are looking for Quartz v3, you can find it on the [`hugo` branch](https://github.com/jackyzha0/quartz/tree/hugo).**

🔗 Read the documentation and get started: https://quartz.jzhao.xyz/

[Join the Discord Community](https://discord.gg/cRFFHYye7t)

## Sponsors

<p align="center">
  <a href="https://github.com/sponsors/jackyzha0">
    <img src="https://cdn.jsdelivr.net/gh/jackyzha0/jackyzha0/sponsorkit/sponsors.svg" />
  </a>
</p>
